HELP! upgrade 3gs 3.1.3 to 4.x (I have 05.12.01)

Discussion in 'Jailbreaks and iOS Hacks' started by jessdla, Jan 19, 2011.

  1. jessdla macrumors newbie

    Joined:
    Dec 23, 2010
    #1
    Hello!! I have a 3gs (3.1.3 / 05.12.01) with jailbreak and unlock.
    I wish to upgrade to 4.1 but my cydia says I have SHSH IOS 4.2.1.

    This means I can`t go for 4.1 on pwnagetool? I have to go to 4.2.1??

    My issue is that I really need the unlock part, so I don`t know if you recommend me to upgrade to 4.2.1 or if you know a way to upgrade and still get the unlock.. (should I make a custom firmware on pwnagetool for 4.2.1?)

    I have a general idea but I really don't know what to do, if someone can help me with the steps or guide to accomplish the upgrade, jb and unlock I will REALLY appreciate it!!!
     
  2. Myzhi macrumors 6502a

    Myzhi

    Joined:
    Dec 15, 2009
    #2
    Note, on 4.2.1 with 3GS, old bootrom (untethered) vs new bootrom (tethered) JB. Create or find custom 4.2.1 firmware file (one that keeps your current baseband), use pwnagetool or Redsnow to put the phone into a special DFU mode, and then, restore with the custom firmware file through itunes.
     
  3. Olatsita macrumors newbie

    Joined:
    Jan 22, 2011
    #3
    Same problem ;)

    Same problem exactly here but i dont understand anything of what you guys r talking about!

    Just got in to the iphone world and trying to learn stuff!

    I just know that i have an iphone 3gs 32Gb unlocked and jailbroken.

    ios is 3.1.3 and i just want to upgrade to 4.anything keeping it unlocked, jailbroken + my apps and stuff!

    I think the previews owner told me to avoid 4.2.1 because the phone will lock or something! Any advice please?

    Is it much for me to ask? :D :D

    Excuse my Newbiety! ;)
     
  4. nebo1ss macrumors 68030

    Joined:
    Jun 2, 2010
    #4
    If you want to keep your baseband the only way to do so is with custom firmware. I would recommend going to 4.1 with pwnage tool but it appears from your post that you do not have SHSH for 4.1 which means you cannot do so.

    I would not recommemd trying to get to 4.2.1 for a novice and if you have the new bootrom 3GS it will be tethered. Suggest you wait for a while. There is every likelihood that we will see an untether jailbreak released after 4.3 is official. At this point we would probably also see a new version of pwnage tool which incorporates this exploit.
     
  5. Olatsita macrumors newbie

    Joined:
    Jan 22, 2011
    #5
    Thanx!

    Thanx for the reply! ;) i think i'm gonna find me someone who understand what
    baseband and SHSH actually is! :D
     

Share This Page